Package com.sun.jna.platform.win32

## Class Ddeml.DDEML_MSG_HOOK_DATA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ddeml.DDEML_MSG_HOOK_DATA

- Enclosing interface:
    Ddeml

      @FieldOrder({"uiLo","uiHi","cbData","Data"})
      public static class Ddeml.DDEML_MSG_HOOK_DATA
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `cbData` | The amount of data being passed with the message, in bytes.
    `byte[]` | `Data` | The first 32 bytes of data being passed with the message (8 * sizeof(DWORD)).
    `WinDef.UINT_PTR` | `uiHi` | The unpacked high-order word of the lParam parameter associated with the DDE message.
    `WinDef.UINT_PTR` | `uiLo` | The unpacked low-order word of the lParam parameter associated with the DDE message.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DDEML_MSG_HOOK_DATA()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uiLo

          public WinDef.UINT_PTR uiLo

      The unpacked low-order word of the lParam parameter associated with the DDE message.

    - #### uiHi

          public WinDef.UINT_PTR uiHi

      The unpacked high-order word of the lParam parameter associated with the DDE message.

    - #### cbData

          public int cbData

      The amount of data being passed with the message, in bytes. This value can be greater than 32.

    - #### Data

          public byte[] Data

      The first 32 bytes of data being passed with the message (8 * sizeof(DWORD)).

  - ### Constructor Detail

    - #### DDEML_MSG_HOOK_DATA

          public DDEML_MSG_HOOK_DATA()